Signals
Get Company Signal Filter Values
Returns valid values for a single company signal filter type.
| Filter type | Query required? |
|---|---|
newsEventTypes | No |
hiringByDepartments | No |
hiringByLocations | Yes (2-256 chars) |
intentCategories | No - the query parameter is not supported for this filter type; passing one returns 400 |
GET
/
v3
/
companies
/
signals
/
filters
/
{filterType}
Get Company Signal Filter Values
curl --request GET \
--url https://api.lusha.com/v3/companies/signals/filters/{filterType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/companies/signals/filters/{filterType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/companies/signals/filters/{filterType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/companies/signals/filters/{filterType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/companies/signals/filters/{filterType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"values": "<unknown>"
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Path Parameters
Available options:
newsEventTypes, hiringByDepartments, hiringByLocations, intentCategories Query Parameters
Required string length:
2 - 256Response
Successful response
Filter values (shape depends on filter type)
Was this page helpful?
⌘I
Get Company Signal Filter Values
curl --request GET \
--url https://api.lusha.com/v3/companies/signals/filters/{filterType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/companies/signals/filters/{filterType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/companies/signals/filters/{filterType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/companies/signals/filters/{filterType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/companies/signals/filters/{filterType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"values": "<unknown>"
}